v5.0.1以降のイベント登録の致命的なエラー

誰かがイベントに登録すると、それを登録しますが、「source_contact_idは有効な整数ではありません」というエラーページにクラッシュします。

私はこれがCivi 5.0.1以来起こっていると思います

私はCivi 5.0.2とDrupal 7.59を使用しています

エラーログの致命的なエラーページは非常に長いですが、ここに最初のビットがあります:

$Fatal Error Details = array(3) { [“message”]=> string(40)
“source_contact_id is not a valid integer” [“code”]=> NULL
[“exception”]=> object(CiviCRM_API3_Exception)#420 (8) {
[“extraParams”:”CiviCRM_API3_Exception”:private]=> array(3) {
[“is_error”]=> int(1) [“error_message”]=> string(40)
“source_contact_id is not a valid integer” [“error_code”]=>
string(9) “undefined” } [“message”:protected]=> string(40)
“source_contact_id is not a valid integer”
[“string”:”Exception”:private]=> string(0) “”
[“code”:protected]=> int(0) [“file”:protected]=>
string(88)

この問題を抱えている人やアイデアがある人は誰ですか?

ベストアンサー

Stuartの2つのバージョンには異なる拡張があります。

https://civicrm.org/extensions/sparkpost-civicrm-integration
is the PESC extension from https://github.com/proexchange/com.pesc.sparkpost
and the replacement used by Stuart is the Cividesk extension.

I had the same problem experienced by Stuart with the PESC
version on a D6 system running CiviCRM 5.0.0. I seem to have fixed
it using Stuart’s sleuthing – I simply edited the sparkpost.php
file and replaced source_record_id with
source_contact_id

すべてが今働くようです。 (私が他の問題を見つけたら報告します)。

アップデート:com.pesc.sparkpostの最新バージョン1.3.7が問題を修正しました。

返信を残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です